### 3.28 `iswctype`, `iswctype_l`—extensible wide-character test

Synopsis

         #include <wctype.h>
         int iswctype(wint_t c, wctype_t desc);

         #include <wctype.h>
         int iswctype_l(wint_t c, wctype_t desc, locale_t locale);

Description
`iswctype` is a function which classifies wide-character values using the wide-character test specified by desc.

`iswctype_l` is like `iswctype` but performs the check based on the locale specified by the locale object locale. If locale is LC_GLOBAL_LOCALE or not a valid locale object, the behaviour is undefined.

Returns
`iswctype`, `iswctype_l` return non-zero if and only if c matches the test specified by desc. If desc is unknown, zero is returned.

Portability
`iswctype` is C99. `iswctype_l` is POSIX-1.2008.

No supporting OS subroutines are required.